<div class="login-container" fxLayout="column" fxLayoutAlign="center center">
  <div class="box border-box padding-box" fxLayout="column" fxLayoutAlign="space-around center">

    <img class="logo" alt="logo" src="../../../../assets/images/logo_ce.svg">

    <span style="font-size: 24px;">Recover password</span>

    <form [formGroup]="passwordForm">
      <mat-form-field class="d-block" appearance="outline">
        <mat-label>Username</mat-label>
        <input matInput (keyup.enter)="submit()" type="text" formControlName="userName">
      </mat-form-field>
      <span style="font-size: 12px;">Type your username and password will be reset</span>

      <div class="mt-5" fxLayout="row" fxLayoutAlign="space-between center">
        <a class="link" style="font-size: 14px;" routerLink="/auth/login"><span class="font-weight-bold">Login</span></a>
        <button mat-flat-button color="warn" (click)="submit()" [disabled]="passwordForm.invalid"><span class="font-weight-bold">Reset</span></button>
      </div>
    </form>
  </div>
</div>

